
<template>
  <div class="card_produit">
    <!-- si page MODIF produit -->
    <router-link
      v-if="editable == 1"
      :to="{ name: 'Editproduit', params: { idVendeur: idVendeur, id: id }}"
    >
      <img 
        v-if="image != 'noimg' && image != 'undefined'"
        :src="apiUrl + image"
        class="w-100 h-auto"
      >
      <!-- no-img -->
      <img 
        v-else
        :src="require('@/assets/images/noimg.png')"
        alt=""
        class="vendeur__img"
      >
      <p class="p-1">
        {{ titre }}
      </p>
      <p class="text-right p-1">
        {{ prix }}€
      </p>
    </router-link>
    <!-- si page VISUALISATION produit -->
    <router-link
      v-else
      :to="{ name: 'Detailsproduit', params: { idVendeur: idVendeur, id: id }}"
    >
      <img 
        v-if="image != 'noimg' && image != 'undefined'"
        :src="apiUrl + image"
        class="w-100 h-50"
      >
      <!-- no-img -->
      <img 
        v-else
        :src="require('@/assets/images/noimg.png')"
        alt=""
        class="w-100 h-50"
      >
      <p
        class="p-1"
        align="left"
      >
        {{ titre }}
      </p>
      <p class="text-right p-1">
        {{ prix }}€
      </p>
    </router-link>
  </div>
</template>

<script>

export default {
  props: {
    titre: String,
    id: Number,
    pseudo: String,
    prix: Number,
    idVendeur: Number,
    image: {
      default: false
    },
    editable: Boolean,
  },
  data() {
    return {
      apiUrl: process.env.VUE_APP_URL,
    }
  }
}
</script>

<style lang="scss" scoped>
  img {
    object-fit: cover !important;
    height: 350px !important;
  }
  .text-right {
    text-align: right;
    font-family: "Lato-light";
    text-transform: capitalize;
  }

  .card_produit{
    &:hover{
      outline: 1px solid #dee2e6;
    }
  }
</style>
